@rem = '--*-Perl-*--
@echo off
if "%OS%" == "Windows_NT" goto WinNT
perl -x -S "%0" %1 %2 %3 %4 %5 %6 %7 %8 %9
goto endofperl
:WinNT
perl -x -S %0 %*
if NOT "%COMSPEC%" == "%SystemRoot%\system32\cmd.exe" goto endofperl
if %errorlevel% == 9009 echo You do not have Perl in your PATH.
if errorlevel 1 goto script_failed_so_exit_with_non_zero_val 2>nul
goto endofperl
@rem ';
#!perl
#line 15
use strict;
use warnings;
use 5.008;
# PODNAME:  dbix_locker_purge
# ABSTRACT: purge old locks

use Getopt::Long::Descriptive;
use Log::Dispatchouli;

my ($opt, $usage) = describe_options(
  '%c %o',
  [ 'locker-class=s', 'locker class to purge (default: $DBIX_LOCKER_CLASS)',
    { default => $ENV{DBIX_LOCKER_CLASS}, required => 1}  ],
);

eval "require $opt->{locker_class};" or die $@;

my $logger = Log::Dispatchouli->new({
  program_name => 'dbix_locker_purge',
  facility     => 'daemon',
  to_stdout    => 1,
});

my $locks = $opt->{locker_class}->new->purge_expired_locks;

$logger->([ 'purged %s locks', $locks ]);

__END__

=pod

=encoding UTF-8

=head1 NAME

dbix_locker_purge - purge old locks

=head1 VERSION

version 0.100118

=head1 AUTHOR

Ricardo SIGNES <rjbs@cpan.org>

=head1 COPYRIGHT AND LICENSE

This software is copyright (c) 2016 by Ricardo SIGNES.

This is free software; you can redistribute it and/or modify it under
the same terms as the Perl 5 programming language system itself.

=cut

__END__
:endofperl
